package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.OpenStaffListDTO;
import com.gic.haoban.manage.api.qdto.OpenStaffPageQDTO;
import com.gic.haoban.manage.service.entity.TabOpenStaff;

import java.util.List;

public interface OpenStaffService {

    TabOpenStaff save(TabOpenStaff tab) ;

    TabOpenStaff getByUUID(String uuid) ;

    void logout(String uuid, String loginRemark, int step , String noticeReason) ;

    ServiceResponse<Page<OpenStaffListDTO>> page(OpenStaffPageQDTO qdto, BasePageInfo basePageInfo);

    List<String> listAllStaffId(String wxEnterpriseId) ;

    /**
     * 自动登录 返回新的uuid
     * @param openStaffId
     * @param qwUserId
     * @return
     */
    String autoLogin(Long openStaffId , Long qwUserId) ;

    void openStaffTimer();

    void openStaffServiceTimer();
}
